# -*- encoding : utf-8 -*-

SimpleNavigation::Configuration.run do |navigation|
  
	navigation.auto_highlight = false
  
	navigation.items do |primary|




		primary.item :dahsboard, 'Dashboard', admin_root_path() do |dahsboard|
			
			dahsboard.item :image_files, 'Gestion des images', admin_image_files_path
			dahsboard.item :data_files, 'Gestion des fichiers', admin_data_files_path
			dahsboard.item :admins, 'liste des administrateurs du site', admin_admins_path
			dahsboard.item :events, "Liste des événements", admin_events_path()
			dahsboard.item :articles, "Liste des articles", admin_articles_path()
			dahsboard.item :comments, "Liste des commentaires", admin_articles_path()
			dahsboard.item :inscrits, "Inscrits", admin_inscrits_path()
			dahsboard.item :interests, "Liste des intêrets", admin_interests_path()
			dahsboard.item :newsletters, "Liste des newsletters", admin_newsletters_path()

			dahsboard.item :menu_items, 'liste des éléments de menu', (@menu_item ? admin_menu_items_path(:menu_id => @menu_item.menu_id, :parent_id => @menu_item.parent_id) : admin_menu_items_path) do |sub_nav|
				sub_nav.item :edit_menu_items, 'Modifier un éléments de menu',(@menu_item and @menu_item.id ? edit_admin_menu_item_path(@menu_item) : "")
				sub_nav.item :new_menu_items, 'Ajouter un élément de menu',(@menu_item ? new_admin_menu_item_path(:menu_id => @menu_item.menu_id, :parent_id => @menu_item.parent_id) : "")
			end

	
		end





	end

end
